Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Interface LocationProvider

All Known Subinterfaces:
  InstructionInfo, SaxonLocator, SourceLocationProvider

All Known Implementing Classes:
  AbsentExtensionElement, Adjust, Aggregate, AnalyzeString, AnalyzeStringFunction, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicMappingExpression, AtomicSequenceConverter, Atomizer, AttributeCreator, AttributeSet, Available, AxisExpression, BaseURI, BasicUpdatingExpression, BinaryExpression, Block, BooleanExpression, BooleanFn, BreakInstr, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, ConditionalSorter, Contains, ContextItemExpression, ContinueInstr, Copy, CopyModifyExpression, CopyOf, Current, CurrentDateTime, CurrentGroup, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DeleteExpression, DistinctValues, Doc, DocAvailable, Doctype, Document, DocumentInstr, DocumentSender, DocumentSorter, DOMSender, DynamicFunction, DynamicFunctionCall, EagerLetExpression, ElementCreator, Error, ErrorExpression, EscapeURI, Evaluate, Existence, Expression, ExpressionLocation, ExpressionParser.TemporaryContainer, ExtensionFunctionCall, ExtensionInstruction, FilterExpression, Find, FirstItemExpression, FixedAttribute, FixedElement, ForceCase, ForEach, ForEachGroup, ForEachGroupFunction, ForExpression, FormatDate, FormatNumber, FunctionCall, GeneralComparison, GeneralComparison10, GeneralComparisonSA, GeneralVariable, GlobalParam, GlobalVariable, Id, IdentityComparison, Idref, Index, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InsertExpression, InstanceOfExpression, Instruction, InstructionDetails, IntegerRangeTest, IsLastExpression, IsWholeNumber, ItemAt, ItemChecker, IterateInstr, KeyDefinition, KeyFn, Lang, Last, LastItemExpression, LazyExpression, LetExpression, Literal, LiteralResultElement, LocalParam, LocalVariable, LocalVariableReference, LocationCopier, LocationMap, Matches, Message, Minimax, NamePart, Namespace, NamespaceForPrefix, NegateExpression, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NumberFn, NumberInstruction, NumericPromoter, ParentNodeConstructor, ParentNodeExpression, Parse, PathExpression, PatternMatchExpression, PatternSponsor, Position, Procedure, ProcessingInstruction, Put, QNameFn, QuantifiedExpression, QuerySimpleContentConstructor, RangeExpression, RegexGroup, Remove, RenameExpression, Replace, ReplaceNodeExpression, ReplaceValueExpression, ResolveQName, ResolveURI, ResultDocument, ResultDocumentFunction, Reverse, Root, RootExpression, Rounding, SaxonAssign, SaxonBreak, SaxonCallTemplate, SaxonCollation, SaxonContinue, SaxonDoctype, SaxonEntityRef, SaxonFinally, SaxonImportQuery, SaxonIterate, SaxonScript, SaxonWhile, Serialize, SimpleContentConstructor, SimpleExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SlashExpression, SortExpression, SQLClose, SQLColumn, SQLConnect, SQLDelete, SQLInsert, SQLQuery, SQLUpdate, StaticBaseURI, StaxBridge, StaxToEventBridge, StreamFn, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, StyleElement, Subsequence, Substring, SuppliedParameterReference, SwitchExpression, SystemFunction, SystemProperty, TailCallLoop, TailExpression, Template, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, Try, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UseAttributeSets, UserFunction, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall, XQueryFunction, XSLAnalyzeString, XSLApplyImports, XSLApplyTemplates, XSLAttribute, XSLAttributeSet, XSLCallTemplate, XSLCharacterMap, XSLChoose, XSLComment, XSLCopy, XSLCopyOf, XSLDecimalFormat, XSLDocument, XSLElement, XSLFallback, XSLForEach, XSLForEachGroup, XSLFunction, XSLGeneralIncorporate, XSLGeneralVariable, XSLIf, XSLImport, XSLImportSchema, XSLInclude, XSLKey, XSLMatchingSubstring, XSLMessage, XSLNamespace, XSLNamespaceAlias, XSLNextMatch, XSLNumber, XSLOtherwise, XSLOutput, XSLOutputCharacter, XSLParam, XSLPerformSort, XSLPreserveSpace, XSLProcessingInstruction, XSLResultDocument, XSLSequence, XSLSort, XSLStringConstructor, XSLStylesheet, XSLTemplate, XSLText, XSLValueOf, XSLVariable, XSLVariableDeclaration, XSLWhen, XSLWithParam

    public interface LocationProvider

LocationProvider: this interface represents an object that provides the location of elements in a source document or instructions in a stylesheet or query. A locationProvider may be passed down the Receiver pipeline as part of the PipelineConfiguration object; on the input pipeline, this will be a `SaxonLocator` object, on the output pipeline, it will be a `LocationMap`

A LocationProvider that represents locations in the source document from which the events are derived (as distinct from locations in a query or stylesheet of the instructions causing the events) will also implement the marker interface `SourceLocationProvider`

Method Summary
`int` | `getColumnNumber(long locationId)` Get the column number within the document or module containing a particular location
`int` | `getLineNumber(long locationId)` Get the line number within the document or module containing a particular location
`java.lang.String` | `getSystemId(long locationId)` Get the URI of the document or module containing a particular location

Method Detail

### getSystemId

    java.lang.String getSystemId(long locationId)

  Get the URI of the document or module containing a particular location

  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the URI of the document or module.

### getLineNumber

    int getLineNumber(long locationId)

  Get the line number within the document or module containing a particular location

  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the line number within the document or module.

### getColumnNumber

    int getColumnNumber(long locationId)

  Get the column number within the document or module containing a particular location

  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the column number within the document or module, or -1 if this is not available

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.